Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000343Core InformKinds and type checkingpublic2010-10-22 11:432010-10-28 00:31
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000343: Modifiers are unexpectedly allowed in sentences arranging the type hierarchy
DescriptionNeither ``never'' nor ``every'' should be allowed in this source.
Minimal Source Text To Reproduce
There is a room.
A man is never a kind of every animal.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0000717)
jmcgrew (administrator)
2010-10-23 01:08

Confirmed. The modifiers seem to be ignored.
(0000733)
graham (administrator)
2010-10-24 03:13

There are two independent bugs here, but both have been fixed, with different problem messages.

- Issue History
Date Modified Username Field Change
2010-10-22 11:43 EmacsUser New Issue
2010-10-23 01:08 jmcgrew Note Added: 0000717
2010-10-23 01:08 jmcgrew Status new => confirmed
2010-10-24 03:13 graham Note Added: 0000733
2010-10-24 03:13 graham Status confirmed => resolved
2010-10-24 03:13 graham Resolution open => fixed
2010-10-24 03:13 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker